### Class

# Ide LspCompletionProvider

#### Description

    abstract class Ide.LspCompletionProvider : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeCompletionProvider

#### Instance methods

###### ide_lsp_completion_provider_get_client

Gets the client for the completion provider.

###### ide_lsp_completion_provider_set_client

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeCompletionProvider (11)

###### ide_completion_provider_activate_poposal

No description available.

###### ide_completion_provider_display_proposal

Requests that the provider update `row` with values from `proposal`.

Available since: 3.32

###### ide_completion_provider_get_comment

If the completion proposal has a comment, the provider should return a newly allocated string containing it.

Available since: 3.32

###### ide_completion_provider_get_icon

Gets the `GIcon` to represent this provider. This may be used in UI to allow the user to filter the results to only those of this completion provider.

Available since: 3.32

###### ide_completion_provider_get_priority

Gets the priority for the completion provider.

Available since: 3.32

###### ide_completion_provider_get_title

Gets the title for the provider. This may be used in UI to give the user context about the type of results that are displayed.

Available since: 3.32

###### ide_completion_provider_is_trigger

Completion providers may want to trigger that the completion window is displayed upon insertion of a particular character. For example, a C indenter might want to trigger after -> or . is inserted.

Available since: 3.32

###### ide_completion_provider_key_activates

This function is called to ask the provider if the key-press event should force activation of the proposal. This is useful for languages where you might want to activate the completion from a language-specific character.

Available since: 3.32

###### ide_completion_provider_populate_async

Asynchronously requests the provider populate the contents.

Available since: 3.32

###### ide_completion_provider_populate_finish

No description available.

Available since: 3.32

###### ide_completion_provider_refilter

This requests that the completion provider refilter the results based on changes to the `IdeCompletionContext`, such as additional text typed by the user. If the provider can refine the results, then the provider should do so and return `TRUE`.

Available since: 3.32

#### Properties

###### Ide.LspCompletionProvider:client

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspCompletionProviderClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.